For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Foundations
    • Introduction
    • Request Headers
    • User-Agent Header
    • Authentication
    • Errors
    • Data Requirements
  • Online API
      • GETPing
    • Immediate Payment Flow
    • Deferred Payment Flow
  • Upgrading to the Clearpay Express Checkout
    • Express Checkout Overview
    • How to Integrate
    • Security
LogoLogo
Online APIService Status

Ping

GET
https://global-api-sandbox.afterpay.com/ping
GET
/ping
$curl https://global-api-sandbox.afterpay.com/ping \
> -H "User-Agent: User-Agent"
200Retrieved
1"pong"
This endpoint can be used to check that the service is available and reachable. <Note title="Note"> Unlike all other endpoints, this endpoint does not require authentication, and responds with <code>text/plain</code> instead of <code>application/json</code>. </Note> ## Successful Response (200) Returns the string, "pong". ## Connection Timeouts - Open timeout: 10 seconds - Read timeout: 20 seconds ## Errors The following error responses can be returned by Ping: | HTTP Status Code | errorCode | Description | | :-- | :-- | :-- | | <strong>405</strong> <br />Method Not Allowed | N/A | The request was made by a HTTP Method other than <code>GET</code>, <code>HEAD</code> or <code>OPTIONS</code>. <br /> <br />For example, <code>POST</code>, <code>PUT</code> or <code>DELETE</code>.
Was this page helpful?
Previous

Get Configuration

Next
Built with

This endpoint can be used to check that the service is available and reachable.

Note

Unlike all other endpoints, this endpoint does not require authentication, and responds with text/plain instead of application/json.

Successful Response (200)

Returns the string, “pong”.

Connection Timeouts

  • Open timeout: 10 seconds
  • Read timeout: 20 seconds

Errors

The following error responses can be returned by Ping:

HTTP Status CodeerrorCodeDescription
405
Method Not Allowed
N/AThe request was made by a HTTP Method other than GET, HEAD or OPTIONS.

For example, POST, PUT or DELETE.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to text/plain

Response

This endpoint returns an object.